Status: Closed Start date: 01/02/2020
Priority: Normal Due date:
Assignee: Nico Schottelius % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
PM Check date:
Description
Step 1: routing setup
® Accept all networks from upstreams and ungleich peers
e don't announce any network
e full routing table in kernel
¢ no ip hacks (dummyO, lo)
» do we still need to solve the "next hop self ebgp;" problem with bird2?
o bird2 will reject announcements from routerX peers in ungleich
o bird2 will accept announcements from upstreams (direct)
o bird2 to bird2 will accept due to rewrite
e Announcing 2a09:2942::/32 only via netstream makes it unreachable
o Announcing it to router1.place5 makes it instantly reachable
At this stage the router is fully able to do IPv4 and IPv6 routing
Step 2: add some traffic
e add the IPv6 address of the coworking network -> go active-active
Step 3: add nat64 w/ jool + joold
¢ setup jool+joold for "masquarding” 1:n sessions to .1 IPv4 address
Step 4: Announce test network (IPv4, IPv6)
e Something non-productive
e ensure routing works
¢ Maybe spin up VMs and/or end hosts in that network
Step 5: announce all networks to upstreams and peers
e final step for back in production
¢ at this point router2.place6 can be reinstalled/replaced
o repeat all steps from here
Subtasks:
Task # 7552: Add some non-critical traffic to router1.place6 Closed
Task # 7553: Setup conntrackd to allow active active firewalls Rejected
Related issues:
Related to Open Infrastructure - Task #7306: Phase in new routers Rejected 11/09/2019
#2 - 11/01/2019 10:25 PM - Nico Schottelius
- Description updated

#3 - 11/01/2019 10:57 PM - Nico Schottelius
- Description updated

#4 - 01/02/2020 12:44 PM - Nico Schottelius
- Related to Task #7306: Phase in new routers added

#5 - 01/02/2024 12:29 PM - Nico Schottelius

- Status changed from In Progress to Closed
